org.apache.sysds.runtime.controlprogram

## Enum ParForProgramBlock.PResultMerge

- java.lang.Object
- - java.lang.Enum<ParForProgramBlock.PResultMerge>
  - - org.apache.sysds.runtime.controlprogram.ParForProgramBlock.PResultMerge

- All Implemented Interfaces:
    Serializable, Comparable<ParForProgramBlock.PResultMerge>
  Enclosing class:
    ParForProgramBlock

      public static enum ParForProgramBlock.PResultMerge
      extends Enum<ParForProgramBlock.PResultMerge>

- - ### Enum Constant Summary

    Enum Constants
    Enum Constant and Description
    `LOCAL_AUTOMATIC`
    `LOCAL_FILE`
    `LOCAL_MEM`
    `REMOTE_SPARK`
    `UNSPECIFIED`

  - ### Method Summary

    All Methods Static Methods Instance Methods Concrete Methods
    Modifier and Type | Method and Description
    --- | ---
    `boolean` | `isLocal()`
    `static ParForProgramBlock.PResultMerge` | `valueOf(String name)` Returns the enum constant of this type with the specified name.
    `static ParForProgramBlock.PResultMerge[]` | `values()` Returns an array containing the constants of this enum type, in the order they are declared.

    - ### Methods inherited from class java.lang.Enum

      `compareTo, equals, getDeclaringClass, hashCode, name, ordinal, toString, valueOf`

    - ### Methods inherited from class java.lang.Object

      `getClass, notify, notifyAll, wait, wait, wait`

- - ### Enum Constant Detail

    - #### LOCAL_MEM

          public static final ParForProgramBlock.PResultMerge LOCAL_MEM

    - #### LOCAL_FILE

          public static final ParForProgramBlock.PResultMerge LOCAL_FILE

    - #### LOCAL_AUTOMATIC

          public static final ParForProgramBlock.PResultMerge LOCAL_AUTOMATIC

    - #### REMOTE_SPARK

          public static final ParForProgramBlock.PResultMerge REMOTE_SPARK

    - #### UNSPECIFIED

          public static final ParForProgramBlock.PResultMerge UNSPECIFIED

  - ### Method Detail

    - #### values

          public static ParForProgramBlock.PResultMerge[] values()

      Returns an array containing the constants of this enum type, in the order they are declared. This method may be used to iterate over the constants as follows:

          for (ParForProgramBlock.PResultMerge c : ParForProgramBlock.PResultMerge.values())
              System.out.println(c);

      Returns:
        an array containing the constants of this enum type, in the order they are declared

    - #### valueOf

          public static ParForProgramBlock.PResultMerge valueOf(String name)

      Returns the enum constant of this type with the specified name. The string must match exactly an identifier used to declare an enum constant in this type. (Extraneous whitespace characters are not permitted.)
      Parameters:
        `name` - the name of the enum constant to be returned.
      Returns:
        the enum constant with the specified name
      Throws:
        `IllegalArgumentException` - if this enum type has no constant with the specified name
        `NullPointerException` - if the argument is null

    - #### isLocal

          public boolean isLocal()

Copyright © 2021 The Apache Software Foundation. All rights reserved.